Apply shelf
Applies a shelf’s saved changes to a workspace specified in the workspace_id parameter.
Parameters:
workspace_id(required)delete_shelf(optional, defaults to false) - deletes the shelf after successful application
Conflict handling: If conflicts occur during application, returns the merge ID for resolution.
Returns:
404 Not Foundif the shelf or workspace doesn’t exist202 Acceptedwith merge_id if conflicts occurred204 No Contenton clean application
Documentation Index
Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
3 - 128"example_id"
Shelf identifier
3 - 128"dv.shelf.12a37e91-bfc4-4e03-a330-13b5b84ab7cb"
Body
Response
The merge is in progress. It has merge conflicts requiring active input from the user for conflict resolution. The response contains a merge ID, which can be used for querying /repos/{repo_id}/merges/{merge_id}
3 - 128"example_id"

